> ## Documentation Index
> Fetch the complete documentation index at: https://omniflow-vpn.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1accountloyalty



## OpenAPI

````yaml https://raw.githubusercontent.com/kewldan/omniflow/main/api/openapi.yaml get /v1/account/loyalty
openapi: 3.0.3
info:
  title: Omniflow API
  version: 1.0.0
  description: >-
    Customer, commerce, payment, wallet, fulfillment, and operations API for
    Omniflow.
servers: []
security: []
paths:
  /v1/account/loyalty:
    get:
      tags:
        - account
      operationId: getAccountLoyalty
      responses:
        '200':
          description: Loyalty standing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountLoyalty'
components:
  schemas:
    AccountLoyalty:
      type: object
      required:
        - enabled
      description: '`enabled: false` is the whole document when no program runs.'
      properties:
        enabled:
          type: boolean
        rules:
          type: object
          properties:
            metric:
              type: string
            currency:
              type: string
            windowDays:
              type: integer
            graceDays:
              type: integer
            version:
              type: string
        tiers:
          type: array
          items:
            type: object
            required:
              - code
              - nameEn
              - nameRu
              - threshold
              - discountBps
              - current
            properties:
              code:
                type: string
              nameEn:
                type: string
              nameRu:
                type: string
              threshold:
                type: integer
                format: int64
              discountBps:
                type: integer
              current:
                type: boolean
        evaluated:
          type: boolean
        tier:
          type: string
        next:
          type: string
        metric:
          type: integer
          format: int64
        remaining:
          type: integer
          format: int64
        percent:
          type: integer
        evaluatedAt:
          type: string
          format: date-time
        graceUntil:
          type: string
          format: date-time

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.